Package org.eclipse.ltk.core.refactoring.participants

# Class SharableParticipants

java.lang.Object
org.eclipse.ltk.core.refactoring.participants.SharableParticipants

public class SharableParticipants extends Object
An opaque list to manage sharable participants.

The list is managed by the refactoring itself. Clients typically only pass the list to the corresponding method defined in `ParticipantManager`

Note: this class is not intended to be extended or instantiated by clients.

Since:
  3.0
See Also:
  - `ISharableParticipant`
  - `ProcessorBasedRefactoring`
  - `ParticipantManager`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`SharableParticipants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SharableParticipants

public SharableParticipants()